<?php

/**
 * @file
 * Contains \Drupal\range\Plugin\field\formatter\RangeIntegerFormatter.
 */

namespace Drupal\range\Plugin\Field\FieldFormatter;

/**
 * Plugin implementation of the 'range_integer' formatter.
 *
 * The 'Default' formatter is different for integer fields on the one hand, and
 * for decimal and float fields on the other hand, in order to be able to use
 * different settings.
 *
 * @FieldFormatter(
 *   id = "range_integer",
 *   label = @Translation("Default"),
 *   field_types = {
 *     "range_integer"
 *   },
 *   settings = {
 *     "range_separator" = "-",
 *     "thousand_separator" = "",
 *     "range_combine" = "TRUE",
 *     "from_prefix_suffix" = "FALSE",
 *     "to_prefix_suffix" = "FALSE"
 *   }
 * )
 */
class RangeIntegerFormatter extends DefaultRangeFormatter {

  /**
   * {@inheritdoc}
   */
  protected function numberFormat($number) {
    return number_format($number, 0, '', $this->getSetting('thousand_separator'));
  }

}
